// UINT type definition
#ifndef _UINT_DEF_
#define _UINT_DEF_
typedef unsigned int UINT;
#endif  /* _UINT_DEF_ */

// BYTE type definition
#ifndef _BYTE_DEF_
#define _BYTE_DEF_
typedef unsigned char BYTE;
#endif   /* _BYTE_DEF_ */
         
// channel #: this counts to 30 eventually...
#define NUM_CHANNELS 			6 
#define DATA_PACKET_LENGTH   	10

//RXC ISR variables								
unsigned char r_index;  	//current string index
unsigned char r_buffer[16];	//input string 
unsigned char r_ready;  	//flag for receive done
unsigned char r_char;  		//current character  

//TX empty ISR variables for getting input								
unsigned char t_index;  			//current string index
unsigned char t_buffer[DATA_PACKET_LENGTH];	//output string 
unsigned char t_ready;  			//flag for transmit done
unsigned char t_char;  				//current character

UINT data[NUM_CHANNELS];	// x,y and z variables 

BYTE time0;		// sampling time counter
BYTE time1;             // transmission time counter

flash BYTE muxvals[ NUM_CHANNELS ] = { 	0b01100000, 0b01100001, 0b01100010, 
					0b01100011, 0b01100101, 0b01100110 };

// Function protoytes 
void channel_select();

void Port_Init(void);
void Timer0_Init(void);
void ACD0_Init(void);
void UART_Init(void);                    

void send_data(void);

void puts_int(void);
void gets_int(void);

